Browse Source

Merge branch 'master' of git+ssh://openadk.org/git/openadk

Waldemar Brodkorb 11 years ago
parent
commit
c847620da9

+ 2 - 2
TODO

@@ -1,12 +1,12 @@
+- update glibc/eglibc to 2.19
+- update gcc to 4.8.2
 - qemu-system-mips64el memory alloc probs
 - hash-style=gnu for non-mips and non-musl
 - add toolchain archive creation target
-- add hash-style=gnu for non-mips non-musl
 - add arm hard and softfloat toolchains
 - add misp64 n32/n64 toolchains
 - add support for static toolchains
 - add fb full screen logo
-- update gcc to 4.8.2
 - port opkg with gpg signing
 - restart network (kill wpa_supplicant)
 - essid with spaces

+ 8 - 27
mk/build.mk

@@ -344,16 +344,6 @@ endif
 ifneq (,$(filter CYGWIN%,${OStype}))
 	@echo ADK_HOST_CYGWIN=y > $(TOPDIR)/.defconfig
 endif
-ifeq ($(ADKtype),shuttle-sa76)
-	@echo ADK_LINUX_NATIVE=y >> $(TOPDIR)/.defconfig
-	@echo ADK_TARGET_SYSTEM_SHUTTLE_SA76=y >> $(TOPDIR)/.defconfig
-	@sed -e "s#config ADK_TARGET#config ADK_NATIVE#" target/$(ARCH_FOR_BUILD)/sys-available/$(ADKtype) > \
-		target/$(ARCH_FOR_BUILD)/sys-enabled/.$(ADKtype)
-	@echo "choice" > $(TOPDIR)/target/config/Config.in.native
-	@echo "prompt \"Target system (autodetected)\"" >> $(TOPDIR)/target/config/Config.in.native
-	@echo "source \"target/$(ARCH_FOR_BUILD)/sys-enabled/.$(ADKtype)\"" >> $(TOPDIR)/target/config/Config.in.native
-	@echo "endchoice" >> $(TOPDIR)/target/config/Config.in.native
-endif
 ifeq ($(ADKtype),ibm-x40)
 	@echo ADK_LINUX_NATIVE=y >> $(TOPDIR)/.defconfig
 	@echo ADK_TARGET_SYSTEM_IBM_X40=y >> $(TOPDIR)/.defconfig
@@ -438,15 +428,6 @@ endif
 ifneq (,$(filter CYGWIN%,${OStype}))
 	@echo ADK_HOST_CYGWIN=y > $(TOPDIR)/all.config
 endif
-ifeq ($(ADKtype),shuttle-sa76)
-	@echo ADK_TARGET_SYSTEM_SHUTTLE_SA76=y >> $(TOPDIR)/all.config
-	@sed -e "s#TARGET#NATIVE#" target/$(ARCH_FOR_BUILD)/sys-available/$(ADKtype) > \
-		target/$(ARCH_FOR_BUILD)/sys-enabled/.$(ADKtype)
-	@echo "choice" > $(TOPDIR)/target/config/Config.in.native
-	@echo "prompt \"Target system (autodetected)\"" >> $(TOPDIR)/target/config/Config.in.native
-	@echo "source \"target/$(ARCH_FOR_BUILD)/sys-enabled/.$(ADKtype)\"" >> $(TOPDIR)/target/config/Config.in.native
-	@echo "endchoice" >> $(TOPDIR)/target/config/Config.in.native
-endif
 ifeq ($(ADKtype),ibm-x40)
 	@echo ADK_TARGET_SYSTEM_IBM_X40=y >> $(TOPDIR)/all.config
 	@sed -e "s#TARGET#NATIVE#" target/$(ARCH_FOR_BUILD)/sys-available/$(ADKtype) > \
@@ -638,24 +619,24 @@ bulkallmod:
 	  if [ -f .exit ];then echo "Bulk build failed!"; cat .exit;rm .exit; exit 1;fi \
 	done
 
-${TOPDIR}/bin/tools/pkgmaker: $(TOPDIR)/tools/adk/pkgmaker.c $(TOPDIR)/tools/adk/sortfile.c $(TOPDIR)/tools/adk/strmap.c
-	@mkdir -p $(TOPDIR)/bin/tools
+${TOPDIR}/bin/pkgmaker: $(TOPDIR)/tools/adk/pkgmaker.c $(TOPDIR)/tools/adk/sortfile.c $(TOPDIR)/tools/adk/strmap.c
+	mkdir -p ${TOPDIR}/bin
 	@$(CC_FOR_BUILD) -g -o $@ tools/adk/pkgmaker.c tools/adk/sortfile.c tools/adk/strmap.c
 
-${TOPDIR}/bin/tools/pkgrebuild: $(TOPDIR)/tools/adk/pkgrebuild.c $(TOPDIR)/tools/adk/strmap.c
+${TOPDIR}/bin/pkgrebuild: $(TOPDIR)/tools/adk/pkgrebuild.c $(TOPDIR)/tools/adk/strmap.c
 	@$(CC_FOR_BUILD) -g -o $@ tools/adk/pkgrebuild.c tools/adk/strmap.c
 
-package/Config.in.auto menu .menu: $(wildcard ${TOPDIR}/package/*/Makefile) ${TOPDIR}/bin/tools/pkgmaker ${TOPDIR}/bin/tools/pkgrebuild
+package/Config.in.auto menu .menu: $(wildcard ${TOPDIR}/package/*/Makefile) ${TOPDIR}/bin/pkgmaker ${TOPDIR}/bin/pkgrebuild
 	@echo "Generating menu structure ..."
-	@$(TOPDIR)/bin/tools/pkgmaker
+	@$(TOPDIR)/bin/pkgmaker
 	@:>.menu
 
-${BIN_DIR}/depmaker: $(TOPDIR)/tools/adk/depmaker.c
-	$(CC_FOR_BUILD) -g -o $(BIN_DIR)/depmaker $(TOPDIR)/tools/adk/depmaker.c
+${TOPDIR}/bin/depmaker: $(TOPDIR)/tools/adk/depmaker.c
+	$(CC_FOR_BUILD) -g -o $(TOPDIR)/bin/depmaker $(TOPDIR)/tools/adk/depmaker.c
 
 dep: $(BIN_DIR)/depmaker
 	@echo "Generating dependencies ..."
-	@$(BIN_DIR)/depmaker > ${TOPDIR}/package/Depends.mk
+	@$(TOPDIR)/bin/depmaker > ${TOPDIR}/package/Depends.mk
 
 .PHONY: menu dep
 

+ 1 - 1
package/base-files/Makefile

@@ -82,7 +82,7 @@ endif
 	    echo "::1		localhost" >> $(IDIR_BASE_FILES)/etc/hosts
 	    echo "127.0.1.1	$(ADK_RUNTIME_HOSTNAME)" >> $(IDIR_BASE_FILES)/etc/hosts
 	test -z $(ADK_RUNTIME_PASSWORD) || \
-	    $(SED) 's,\*NP\*,'"$$(${TOPDIR}/bin/tools/mkcrypt \
+	    $(SED) 's,\*NP\*,'"$$(${TOPDIR}/bin/mkcrypt \
 	    ${ADK_RUNTIME_PASSWORD}),g" $(IDIR_BASE_FILES)/etc/shadow
 	git log -1|head -1|sed -e 's#commit ##' \
 		> $(IDIR_BASE_FILES)/etc/adkversion

+ 1 - 1
package/nspr/Makefile

@@ -5,7 +5,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=		nspr
 PKG_VERSION:=		4.10.2
-PKG_RELEASE:=		1
+PKG_RELEASE:=		2
 PKG_MD5SUM:=		f0d254da0b2b870d9a5fa094e879d4b8
 PKG_DESCR:=		Netscape Portable Runtime library
 PKG_SECTION:=		libs

+ 11 - 0
package/nspr/patches/patch-nspr_config_Makefile_in

@@ -0,0 +1,11 @@
+--- nspr-4.10.2.orig/nspr/config/Makefile.in	2013-11-09 10:49:40.000000000 +0100
++++ nspr-4.10.2/nspr/config/Makefile.in	2014-02-19 07:15:42.000000000 +0100
+@@ -113,7 +113,7 @@ endif
+ 
+ $(OBJDIR)/%$(PROG_SUFFIX): $(OBJDIR)/%.$(OBJ_SUFFIX)
+ 	@$(MAKE_OBJDIR)
+-	$(CC) $(XCFLAGS) $< $(LDFLAGS) $(XLDOPTS) $(OUTOPTION)$@
++	$(CC_FOR_BUILD) $(HOSTCFLAGS) $< $(HOSTLDFLAGS) $(XLDOPTS) $(OUTOPTION)$@
+ 
+ install:: nspr.m4
+ 	$(NSINSTALL) -D $(DESTDIR)$(datadir)/aclocal

+ 12 - 10
package/openjdk7/Makefile

@@ -16,8 +16,10 @@ PKG_BUILDDEP+=		renderproto-host libXrender-host alsa-lib-host libffi-host gcj-h
 PKG_BUILDDEP+=		classpath-host jamvm-host ant-host cups-host openjdk7-host nss
 PKG_BUILDDEP+=		alsa-lib xproto libjpeg-turbo zlib giflib libpng freetype cups
 PKG_BUILDDEP+=		libX11 libXt libXp libXinerama libXrender libXtst libiconv-tiny
+PKG_BUILDDEP+=		libpng giflib gtk+ glib fontconfig
 PKG_DEPENDS:=		zlib libstdcxx libffi libpthread libxtst libxi libgcc cups
-PKG_DEPENDS+=		libfreetype libxrender libx11 libxext libpthread nss
+PKG_DEPENDS+=		libfreetype libxrender libx11 libxext libpthread nss libjpeg-turbo
+PKG_DEPENDS+=		libpng giflib libgtk glib fontconfig
 PKG_URL:=		http://openjdk.org/
 PKG_SITES:=		http://icedtea.classpath.org/download/source/
 
@@ -67,17 +69,17 @@ CONFIGURE_COMMON:=	--disable-docs \
 			--with-rmic=$(BOOTSTRAPJDK)/bin/rmic \
 			--with-native2ascii=$(BOOTSTRAPJDK)/bin/native2ascii \
 			--with-gcj=$(STAGING_HOST_DIR)/usr/bin/gcj \
-			--enable-nss \
 			--without-hotspot-build \
-			--disable-system-jpeg \
+			--enable-nss \
+			--enable-system-zlib \
+			--enable-system-jpeg \
+			--enable-system-png \
+			--enable-system-gif \
+			--enable-system-gtk \
+			--enable-system-gio \
+			--enable-system-fontconfig \
 			--disable-system-lcms \
-			--disable-system-zlib \
-			--disable-system-png \
-			--disable-system-gif \
-			--disable-system-gtk \
-			--disable-system-gio \
 			--disable-system-kerberos \
-			--disable-system-fontconfig \
 			--disable-compile-against-syscalls \
 			--without-rhino
 
@@ -122,9 +124,9 @@ HOST_CONFIGURE_ARGS+=\
 		--with-javac=$(STAGING_HOST_DIR)/usr/bin/ecj \
 		--with-ecj-jar=${STAGING_HOST_DIR}/usr/share/java/ecj.jar \
 		--without-hotspot-build \
+                --disable-system-zlib \
                 --disable-system-jpeg \
                 --disable-system-lcms \
-                --disable-system-zlib \
                 --disable-system-png \
                 --disable-system-gif \
                 --disable-system-gtk \

+ 1 - 1
package/screen/Makefile

@@ -5,7 +5,7 @@ include ${TOPDIR}/rules.mk
 
 PKG_NAME:=		screen
 PKG_VERSION:=		4.0.3
-PKG_RELEASE:=		2
+PKG_RELEASE:=		3
 PKG_MD5SUM:=		8506fd205028a96c741e4037de6e3c42
 PKG_DESCR:=		A window manager for the terminal session
 PKG_SECTION:=		misc

+ 3 - 3
package/screen/patches/patch-configure

@@ -1,5 +1,5 @@
 --- screen-4.0.3.orig/configure	2003-12-05 14:46:53.000000000 +0100
-+++ screen-4.0.3/configure	2010-01-23 10:18:22.000000000 +0100
++++ screen-4.0.3/configure	2014-02-19 08:18:45.000000000 +0100
 @@ -124,7 +124,7 @@ done
    fi
    if test ! -f "$as_myself"; then
@@ -63,7 +63,7 @@
      ;;
  
    *=*)
-@@ -633,7 +633,7 @@ Try \`$0 --help' for more information." 
+@@ -633,7 +633,7 @@ Try \`$0 --help' for more information."
      # Reject names that are not valid shell variable names.
      expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
        { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
@@ -490,7 +490,7 @@
    --help | --hel | -h )
      echo "$ac_cs_usage"; exit 0 ;;
    --debug | --d* | -d )
-@@ -8516,7 +8480,7 @@ Try \`$0 --help' for more information." 
+@@ -8516,7 +8480,7 @@ Try \`$0 --help' for more information."
  Try \`$0 --help' for more information." >&5
  echo "$as_me: error: unrecognized option: $1
  Try \`$0 --help' for more information." >&2;}

+ 15 - 0
package/screen/patches/patch-process_c

@@ -0,0 +1,15 @@
+--- screen-4.0.3.orig/process.c	2003-09-18 14:53:54.000000000 +0200
++++ screen-4.0.3/process.c	2014-02-19 08:27:28.000000000 +0100
+@@ -35,12 +35,6 @@
+ 
+ 
+ #include "config.h"
+-
+-/* for solaris 2.1, Unixware (SVR4.2) and possibly others: */
+-#ifdef SVR4
+-# include <sys/stropts.h>
+-#endif
+-
+ #include "screen.h"
+ #include "extern.h"
+ #include "logfile.h"

+ 14 - 0
package/screen/patches/patch-pty_c

@@ -0,0 +1,14 @@
+--- screen-4.0.3.orig/pty.c	2003-09-08 16:26:18.000000000 +0200
++++ screen-4.0.3/pty.c	2014-02-19 08:26:17.000000000 +0100
+@@ -33,11 +33,6 @@
+ # include <sys/ioctl.h>
+ #endif
+ 
+-/* for solaris 2.1, Unixware (SVR4.2) and possibly others */
+-#ifdef HAVE_SVR4_PTYS
+-# include <sys/stropts.h>
+-#endif
+-
+ #if defined(sun) && defined(LOCKPTY) && !defined(TIOCEXCL)
+ # include <sys/ttold.h>
+ #endif

+ 13 - 0
package/screen/patches/patch-screen_c

@@ -0,0 +1,13 @@
+--- screen-4.0.3.orig/screen.c	2003-09-08 16:26:41.000000000 +0200
++++ screen-4.0.3/screen.c	2014-02-19 08:27:10.000000000 +0100
+@@ -50,10 +50,6 @@
+ 
+ #include "config.h"
+ 
+-#ifdef SVR4
+-# include <sys/stropts.h>
+-#endif
+-
+ #if defined(SYSV) && !defined(ISC)
+ # include <sys/utsname.h>
+ #endif

+ 13 - 0
package/screen/patches/patch-tty_sh

@@ -0,0 +1,13 @@
+--- screen-4.0.3.orig/tty.sh	2003-09-08 16:24:25.000000000 +0200
++++ screen-4.0.3/tty.sh	2014-02-19 08:40:44.000000000 +0100
+@@ -76,10 +76,6 @@ exit 0
+ #endif
+ 
+ #include "config.h"
+-#ifdef SVR4
+-#include <sys/stropts.h>	/* for I_POP */
+-#endif
+-
+ #include "screen.h"
+ #include "extern.h"
+ 

+ 3 - 3
scripts/create.sh

@@ -31,8 +31,8 @@ TOPDIR=$(pwd)
 me=$0
 
 case :$PATH: in
-(*:$TOPDIR/bin/tools:*) ;;
-(*) export PATH=$PATH:$TOPDIR/bin/tools ;;
+(*:$TOPDIR/bin:*) ;;
+(*) export PATH=$PATH:$TOPDIR/bin ;;
 esac
 
 test -n "$KSH_VERSION" || if ! which mksh >/dev/null 2>&1; then
@@ -43,7 +43,7 @@ test -n "$KSH_VERSION" || if ! which mksh >/dev/null 2>&1; then
 	gzip -dc dl/"$df" | (cd build_mksh; cpio -mid)
 	cd build_mksh/mksh
 	bash Build.sh -r -c lto || bash Build.sh -r || exit 1
-	cp mksh "$TOPDIR"/bin/tools/
+	cp mksh "$TOPDIR"/bin
 	cd "$TOPDIR"
 	rm -rf build_mksh
 fi